[PC-BSD Commits] r2808 - in pbibuild/modules/qemu: . kmenu-dir overlay-dir overlay-dir/bin
svn at pcbsd.org
svn at pcbsd.org
Mon Sep 22 12:57:12 PDT 2008
Author: kris
Date: 2008-09-22 12:57:11 -0700 (Mon, 22 Sep 2008)
New Revision: 2808
Added:
pbibuild/modules/qemu/kmenu-dir/aqemu
Removed:
pbibuild/modules/qemu/kmenu-dir/qemu-launcher
pbibuild/modules/qemu/overlay-dir/bin/qemu-launcher.sh
Modified:
pbibuild/modules/qemu/build.sh
pbibuild/modules/qemu/copy-files
pbibuild/modules/qemu/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/qemu/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/qemu/pbi.conf
Log:
Added an update to QEMU to make it work on PC-BSD7, and added aQEMU as the default GUI
WORKS GREAT NOW!
It also included kqemu mod!
Modified: pbibuild/modules/qemu/build.sh
===================================================================
--- pbibuild/modules/qemu/build.sh 2008-09-22 13:59:47 UTC (rev 2807)
+++ pbibuild/modules/qemu/build.sh 2008-09-22 19:57:11 UTC (rev 2808)
@@ -9,12 +9,3 @@
# PORTVER = Version number of the port we used to build
##############################################################################
-# Setup the perl call at the top of qemu-launcher
-sed -e "s,/usr/local/bin/perl,/Programs/QEMU${PORTVER}/bin/perl,g" ${PBIDIR}/bin/qemu-launcher > /tmp/qemu-launcher
-mv /tmp/qemu-launcher ${PBIDIR}/bin/qemu-launcher
-chmod 755 ${PBIDIR}/bin/qemu-launcher
-
-# Setup the PROGDIR at the top of qemu-launcher.sh properly
-sed -e "s,CHANGEME,QEMU${PORTVER},g" ${PBIDIR}/bin/qemu-launcher.sh > /tmp/qemu-launcher.sh
-mv /tmp/qemu-launcher.sh ${PBIDIR}/bin/qemu-launcher.sh
-chmod 755 ${PBIDIR}/bin/qemu-launcher.sh
Modified: pbibuild/modules/qemu/copy-files
===================================================================
--- pbibuild/modules/qemu/copy-files 2008-09-22 13:59:47 UTC (rev 2807)
+++ pbibuild/modules/qemu/copy-files 2008-09-22 19:57:11 UTC (rev 2808)
@@ -1,11 +1,9 @@
/usr/local/bin/qemu* bin/
-/usr/local/bin/gtk-demo bin/
+/usr/local/bin/aqemu* bin/
/usr/local/share/qemu share/
+/usr/local/share/aqemu share/
/usr/local/share/qemu-launcher share/
-/usr/local/bin/per* bin/
-/usr/local/bin/sdl* bin/
/usr/local/bin/pango* bin/
/usr/local/lib/libSD* autolibs/
/usr/local/lib/libsmpeg* autolibs/
-/usr/local/lib/perl5 ./perllib
-
+/boot/modules/kqemu* modules/
Modified: pbibuild/modules/qemu/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/qemu/overlay-dir/PBI.RemoveScript.sh 2008-09-22 13:59:47 UTC (rev 2807)
+++ pbibuild/modules/qemu/overlay-dir/PBI.RemoveScript.sh 2008-09-22 19:57:11 UTC (rev 2808)
@@ -8,10 +8,10 @@
#########################################
rm /usr/local/bin/qemu
+rm /usr/local/bin/aqemu
rm /usr/local/share/qemu
-rm /usr/local/share/qemu-launcher
+rm /usr/local/share/aqemu
rm /usr/local/bin/qemu-img
-rm /usr/local/bin/qemu-launcher.sh
rm /usr/local/bin/qemu-system-arm
rm /usr/local/bin/qemu-system-cris
rm /usr/local/bin/qemu-system-m68k
@@ -26,4 +26,28 @@
rm /usr/local/bin/qemu-system-sparc
rm /usr/local/bin/qemu-system-x86_64
+# Remove the kmod and unload it
+rm /boot/modules/kqemu.ko
+kldunload kqemu
+# Save the kernel module to load at bootup
+cat /boot/loader.conf | grep -v "kqemu_load" > /tmp/loader.conf
+mv /tmp/loader.conf /boot/loader.conf
+
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove all AQEMU user data? (This will not delete your saved VM's" --title "Remove user profiles"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.config/ANDronSoft/AQEMU.conf" ]
+ then
+ rm -rf /home/${i}/.config/ANDronSoft/AQEMU.conf
+ fi
+ done
+ fi
+fi
Modified: pbibuild/modules/qemu/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/qemu/overlay-dir/PBI.SetupScript.sh 2008-09-22 13:59:47 UTC (rev 2807)
+++ pbibuild/modules/qemu/overlay-dir/PBI.SetupScript.sh 2008-09-22 19:57:11 UTC (rev 2808)
@@ -14,11 +14,12 @@
cd /Programs/${PROGDIR}
+# Create our qemu links
ln -s /Programs/${PROGDIR}/share/qemu /usr/local/share/qemu
-ln -s /Programs/${PROGDIR}/share/qemu-launcher /usr/local/share/qemu-launcher
+ln -s /Programs/${PROGDIR}/share/aqemu /usr/local/share/aqemu
+ln -s /Programs/${PROGDIR}/.sbin/aqemu /usr/local/bin/aqemu
ln -s /Programs/${PROGDIR}/.sbin/qemu /usr/local/bin/qemu
ln -s /Programs/${PROGDIR}/.sbin/qemu-img /usr/local/bin/qemu-img
-ln -s /Programs/${PROGDIR}/.sbin/qemu-launcher.sh /usr/local/bin/qemu-launcher.sh
ln -s /Programs/${PROGDIR}/.sbin/qemu-system-arm /usr/local/bin/qemu-system-arm
ln -s /Programs/${PROGDIR}/.sbin/qemu-system-cris /usr/local/bin/qemu-system-cris
ln -s /Programs/${PROGDIR}/.sbin/qemu-system-m68k /usr/local/bin/qemu-system-m68k
@@ -33,5 +34,17 @@
ln -s /Programs/${PROGDIR}/.sbin/qemu-system-sparc /usr/local/bin/qemu-system-sparc
ln -s /Programs/${PROGDIR}/.sbin/qemu-system-x86_64 /usr/local/bin/qemu-system-x86_64
+# Link the kernel module and load it and load aio as well
+ln -s /Programs/${PROGDIR}/modules/kqemu.ko /boot/modules/kqemu.ko
+kldload /boot/modules/kqemu.ko
+kldload /boot/kernel/aio.ko
-echo "LAUNCHCLOSE: /usr/local/bin/qemu-launcher.sh"
+# Save the kernel module to load at bootup
+cp /boot/loader.conf /boot/loader.conf.orig
+cat /boot/loader.conf | grep -v "kqemu_load" | grep -v "aio_load" > /tmp/loader.conf
+echo 'kqemu_load="YES"' >> /tmp/loader.conf
+echo 'aio_load="YES"' >> /tmp/loader.conf
+mv /tmp/loader.conf /boot/loader.conf
+
+
+echo "LAUNCHCLOSE: /usr/local/bin/aqemu"
Modified: pbibuild/modules/qemu/pbi.conf
===================================================================
--- pbibuild/modules/qemu/pbi.conf 2008-09-22 13:59:47 UTC (rev 2807)
+++ pbibuild/modules/qemu/pbi.conf 2008-09-22 19:57:11 UTC (rev 2808)
@@ -13,7 +13,7 @@
PROGAUTHOR="Fabrice Bellard"
# Default Icon (Relative to overlay-dir)
-PROGICON="share/qemu-launcher/qemulauncher.png"
+PROGICON="aqemu.png"
# Port we want to build
PBIPORT="/usr/ports/emulators/qemu"
@@ -25,17 +25,17 @@
PBIUPDATE="http://update.pbidir.com"
# Other Ports we need built (One per line)
-OTHERPORT="/usr/ports/emulators/qemu-launcher"
+OTHERPORT="/usr/ports/emulators/aqemu/"
# Enter your custom make options here
-MAKEOPTS=""
+MAKEOPTS="WITH_KQEMU=Y"
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="03"
+BUILDKEY="13"
# If this port has a non-standard port version variable in Makefile, then
# list the key here such as "OOOVERSION="
-VERKEY=""
+#VERKEY=""
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY VERKEY
More information about the Commits
mailing list